%define upstream_name    DateTime-Format-Strptime
%define upstream_version 1.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Parse and format strp and strf time patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 0.440.0
BuildRequires: perl(DateTime::Locale) >= 0.450.0
BuildRequires: perl(DateTime::TimeZone) >= 0.790.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Params::Validate) >= 0.640.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildArch:  noarch

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and returns
the DateTime object associated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
#%__make test

%files 
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.520.0-2.mga3
+ Revision: 365657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1:1.520.0-1.mga3
+ Revision: 267284
- update to 1.52

* Tue Jun 05 2012 jquelin <jquelin> 1:1.510.0-1.mga3
+ Revision: 254802
- update to 1.51

* Mon Jan 24 2011 jquelin <jquelin> 1:1.500.0-1.mga1
+ Revision: 36210
- mageia rebuild
- imported package perl-DateTime-Format-Strptime

